server:
  port: 8082

spring:
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  application:
    name: data-api
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    username: root

    url: jdbc:mysql://10.0.8.15:3306/bailun_datacenter?useUnicode=true&characterEncoding=utf-8
    password: "#7kfnymAM$Y9-Ntf"
    hikari:
      idle-timeout: 10000
      maximum-pool-size: 10
      minimum-idle: 3

# 日志
logging:
  file: api-spring.log
  level:
    root: warn

# 线程池
thread:
  pool:
    corePoolSize: 20
    maxPoolSize: 40
    keepAliveSeconds: 300
    queueCapacity: 50

# mybatis的mapper文件
mybatis:
  mapper-locations: classpath:mapper/*.xml
  # 给实体类配别名
  type-aliases-package: com.bailuntec.domain
  # mybatis配置-开启驼峰映射
  configuration:
    map-underscore-to-camel-case: true
# 通用mapper
mapper:
  mappers: com.bailuntec.utils.MyMapper
  not-empty: false
  identity: MYSQL

#分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql
